| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::OpaqueRef Class Reference

`#include <opencv2/gapi/gopaque.hpp>`

Collaboration diagram for cv::detail::OpaqueRef:

## Public Member Functions
| OpaqueRef ()=default
template<typename T , typename = util::are_different_t<OpaqueRef, T>>
| OpaqueRef (T &&obj)
cv::GOpaqueDesc | descr_of () const
cv::detail::OpaqueKind | getKind () const
void | mov (OpaqueRef &v)
OpaqueRef & | operator= (const cv::util::any &a)
const void * | ptr () const
template<typename T >
void | reset ()
template<typename T >
const T & | rref () const
template<typename T >
void | storeKind ()
template<typename T >
T & | wref ()

## Constructor & Destructor Documentation

## ◆ OpaqueRef() [1/2]

cv::detail::OpaqueRef::OpaqueRef | ( |  | ) |
| default

## ◆ OpaqueRef() [2/2]

template<typename T , typename = util::are_different_t<OpaqueRef, T>>

cv::detail::OpaqueRef::OpaqueRef | ( | T && | obj | ) |
| inline explicit

## Member Function Documentation

## ◆ descr_of()

cv::GOpaqueDesc cv::detail::OpaqueRef::descr_of | ( |  | ) | const
| inline

## ◆ getKind()

cv::detail::OpaqueKind cv::detail::OpaqueRef::getKind | ( |  | ) | const
| inline

## ◆ mov()

void cv::detail::OpaqueRef::mov | ( | OpaqueRef & | v | ) |
| inline

## ◆ operator=()

OpaqueRef & cv::detail::OpaqueRef::operator= | ( | const cv::util::any & | a | ) |
| inline

## ◆ ptr()

const void * cv::detail::OpaqueRef::ptr | ( |  | ) | const
| inline

## ◆ reset()

template<typename T >

void cv::detail::OpaqueRef::reset | ( |  | ) |
| inline

Here is the call graph for this function:

## ◆ rref()

template<typename T >

const T & cv::detail::OpaqueRef::rref | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ storeKind()

template<typename T >

void cv::detail::OpaqueRef::storeKind | ( |  | ) |
| inline

## ◆ wref()

template<typename T >

T & cv::detail::OpaqueRef::wref | ( |  | ) |
| inline

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opencv2/gapi/gopaque.hpp